/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/492a30-light-palette)
 *
 * Colour palette organised by type e.g. 'error', or pillar e.g. 'opinion'
 */
declare const palette: {
    readonly brand: {
        '100': string;
        '300': string;
        '400': string;
        '500': string;
        '600': string;
        '800': string;
    };
    readonly brandAlt: {
        '200': string;
        '300': string;
        '400': string;
    };
    readonly neutral: {
        '0': string;
        '7': string;
        '10': string;
        '20': string;
        '46': string;
        '60': string;
        '86': string;
        '93': string;
        '97': string;
        '100': string;
    };
    readonly error: {
        '400': string;
        /**
         * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
         * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/244480)
         *
         * Brand theme text colours
         *
         * @deprecated Use the `palette` export instead
         */
        '500': string;
    };
    readonly success: {
        '400': string;
        '500': string;
    };
    readonly news: {
        '100': string;
        '200': string;
        '300': string;
        '400': string;
        '500': string;
        '550': string;
        '600': string;
        '800': string;
    };
    readonly opinion: {
        '100': string;
        '200': string;
        '300': string;
        '400': string;
        '450': string;
        '500': string;
        '550': string;
        '600': string;
        '800': string;
    };
    readonly sport: {
        '100': string;
        '200': string;
        '300': string;
        '400': string;
        '500': string;
        '600': string;
        '800': string;
    };
    readonly culture: {
        '50': string;
        '100': string;
        '200': string;
        '300': string;
        '350': string;
        '400': string;
        '450': string;
        '500': string;
        '600': string;
        '700': string;
        '800': string;
    };
    readonly lifestyle: {
        '100': string;
        '200': string;
        '300': string;
        '400': string;
        '450': string;
        '500': string;
        '600': string;
        '800': string;
    };
    readonly labs: {
        '200': string;
        '300': string;
        '400': string;
    };
    readonly specialReport: {
        '100': string;
        '200': string;
        '300': string;
        '400': string;
        '450': string;
        '500': string;
        '700': string;
        '800': string;
    };
    readonly specialReportAlt: {
        '100': string;
        '200': string;
        '300': string;
        '700': string;
        '800': string;
    };
    readonly focus: {
        '400': string;
    };
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/9280ee)
 *
 * Default theme background colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const background: {
    readonly primary: string;
    readonly secondary: string;
    readonly inverse: string;
    readonly ctaPrimary: string;
    readonly ctaPrimaryHover: "#234B8A";
    readonly ctaSecondary: string;
    readonly ctaSecondaryHover: "#ACC9F7";
    readonly ctaTertiaryHover: "#E5E5E5";
    readonly input: string;
    readonly inputChecked: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/63cc10)
 *
 * Brand theme background colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandBackground: {
    readonly primary: string;
    readonly inputChecked: string;
    readonly ctaPrimary: string;
    readonly ctaPrimaryHover: "#E0E0E0";
    readonly ctaSecondary: string;
    readonly ctaSecondaryHover: "#234B8A";
    readonly ctaTertiaryHover: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/743232)
 *
 * Alternative brand theme background colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandAltBackground: {
    readonly primary: string;
    readonly ctaPrimary: string;
    readonly ctaPrimaryHover: "#454545";
    readonly ctaSecondary: string;
    readonly ctaSecondaryHover: "#F2AE00";
    readonly ctaTertiaryHover: "#FFD213";
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/69c92f)
 *
 * Default theme border colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const border: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
    inputActive: string;
    focusHalo: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/04883b)
 *
 * Brand theme border colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandBorder: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/b/21c6cc)
 *
 * Alternative brand theme border colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandAltBorder: {
    ctaTertiary: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/593cc9)
 *
 * Default theme line colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const line: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/66455d)
 *
 * Brand theme line colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandLine: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/89955e)
 *
 * Alternative brand theme line colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandAltLine: {
    primary: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/85d3b0)
 *
 * Default theme text colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const text: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorSecondary: string;
    userInput: string;
    inputLabel: string;
    inputError: string;
    inputLabelSupporting: string;
    inputChecked: string;
    inputHover: string;
    groupLabel: string;
    groupLabelSupporting: string;
    newsInverse: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/244480)
 *
 * Brand theme text colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandText: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorPrimaryHover: string;
    userInput: string;
    inputLabel: string;
    inputLabelSupporting: string;
};
/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
 * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/11d5fd)
 *
 * Alternative brand theme text colours
 *
 * @deprecated Use the `palette` export instead
 */
declare const brandAltText: {
    primary: string;
    supporting: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
};
declare const brand: {
    '100': string;
    '300': string;
    '400': string;
    '500': string;
    '600': string;
    '800': string;
}, brandAlt: {
    '200': string;
    '300': string;
    '400': string;
}, neutral: {
    '0': string;
    '7': string;
    '10': string;
    '20': string;
    '46': string;
    '60': string;
    '86': string;
    '93': string;
    '97': string;
    '100': string;
}, error: {
    '400': string;
    /**
     * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_palette--palette) •
     * [Design System](https://theguardian.design/2a1e5182b/p/1377a6-tokens/t/244480)
     *
     * Brand theme text colours
     *
     * @deprecated Use the `palette` export instead
     */
    '500': string;
}, success: {
    '400': string;
    '500': string;
}, news: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '500': string;
    '550': string;
    '600': string;
    '800': string;
}, opinion: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '550': string;
    '600': string;
    '800': string;
}, sport: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '500': string;
    '600': string;
    '800': string;
}, culture: {
    '50': string;
    '100': string;
    '200': string;
    '300': string;
    '350': string;
    '400': string;
    '450': string;
    '500': string;
    '600': string;
    '700': string;
    '800': string;
}, lifestyle: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '600': string;
    '800': string;
}, labs: {
    '200': string;
    '300': string;
    '400': string;
}, specialReport: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '700': string;
    '800': string;
}, specialReportAlt: {
    '100': string;
    '200': string;
    '300': string;
    '700': string;
    '800': string;
}, focus: {
    '400': string;
};
export { palette, background, brandBackground, brandAltBackground, border, brandBorder, brandAltBorder, line, brandLine, brandAltLine, text, brandText, brandAltText, brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, specialReportAlt, focus };
