import { palette } from "./colour/palette.js";
import { body, headline, textSans, titlepiece } from "./typography/api.js";
import { bodySizes, fonts, fontWeights, headlineSizes, lineHeights, remBodySizes, remHeadlineSizes, remTextSansSizes, remTitlepieceSizes, textSansSizes, titlepieceSizes } from "./typography/data.js";
/**
 * @deprecated exports - to be removed in a future major version.
 * Colours should now be imported from the `palette` object.
 */
declare const brand: {
    '100': string;
    '300': string;
    '400': string;
    '500': string;
    '600': string;
    '800': string;
}, brandAlt: {
    '200': string;
    '300': string;
    '400': string;
}, neutral: {
    '0': string;
    '7': string;
    '10': string;
    '20': string;
    '46': string;
    '60': string;
    '86': string;
    '93': string;
    '97': string;
    '100': string;
}, error: {
    '400': string;
    '500': string;
}, success: {
    '400': string;
    '500': string;
}, news: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '500': string;
    '550': string;
    '600': string;
    '800': string;
}, opinion: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '550': string;
    '600': string;
    '800': string;
}, sport: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '500': string;
    '600': string;
    '800': string;
}, culture: {
    '50': string;
    '100': string;
    '200': string;
    '300': string;
    '350': string;
    '400': string;
    '450': string;
    '500': string;
    '600': string;
    '700': string;
    '800': string;
}, lifestyle: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '600': string;
    '800': string;
}, labs: {
    '200': string;
    '300': string;
    '400': string;
}, specialReport: {
    '100': string;
    '200': string;
    '300': string;
    '400': string;
    '450': string;
    '500': string;
    '700': string;
    '800': string;
}, focus: {
    '400': string;
};
export { descriptionId } from "./accessibility/description-id.js";
export { focusHalo, focusHaloSpaced } from "./accessibility/focus-halo.js";
export { generateSourceId } from "./accessibility/generate-source-id.js";
export { visuallyHidden } from "./accessibility/visually-hidden.js";
export { transitions } from "./animation/transitions.js";
export type { Breakpoint } from "./breakpoints/breakpoints.js";
export { breakpoints } from "./breakpoints/breakpoints.js";
export { between, from, until } from "./mq/mq.js";
export { palette, brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, body as bodyObjectStyles, headline as headlineObjectStyles, textSans as textSansObjectStyles, titlepiece as titlepieceObjectStyles };
/**
 * @deprecated exports - to be removed in a future major version.
 * Colours should now be imported from the `palette` object.
 */
export { background, brandBackground, brandAltBackground, border, brandBorder, brandAltBorder, line, brandLine, brandAltLine, text, brandText, brandAltText } from "./colour/palette.js";
export { height, iconSize, remHeight, remWidth, size, width } from "./size/size.js";
export { space, remSpace } from "./space/space.js";
export { titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, fonts, fontWeights, lineHeights } from "./typography/index.js";
export type { ScaleUnit, Category, LineHeight, FontWeight, FontStyle, FontWeightDefinition, Option, TypographyStyles, TypographySizes, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes, Fs, FontScaleFunction, FontScaleFunctionStr, FontScaleArgs } from "../../../types-9c7f268d.js";
export { appearance } from "./utils/supports-queries.js";
export { FocusStyleManager } from "./accessibility/focus-style-manager.js";
export { pxToRem, rootPixelFontSize } from "./utils/px-to-rem.js";
export { resets } from "./utils/resets.js";
export { svgBackgroundImage } from "./utils/svg-background-image.js";
//# sourceMappingURL=@guardian/source-foundations/src/index.d.ts.map