'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('../../../../@csnx/design-tokens/tokens/index.js');
var pxToRem = require('../utils/px-to-rem.js');

/**
 * [Storybook](https://guardian.github.io/csnx/?path=/docs/source-foundations_space--page) •
 * [Design System](https://theguardian.design/2a1e5182b/p/05f835-space)
 *
 * Can be applied to margin or padding properties, vertically or horizontally.
 *
 */
const space = {
    0: pxToRem.pxStringToNumber(index.tokens.space[0]),
    1: pxToRem.pxStringToNumber(index.tokens.space[1]),
    2: pxToRem.pxStringToNumber(index.tokens.space[2]),
    3: pxToRem.pxStringToNumber(index.tokens.space[3]),
    4: pxToRem.pxStringToNumber(index.tokens.space[4]),
    5: pxToRem.pxStringToNumber(index.tokens.space[5]),
    6: pxToRem.pxStringToNumber(index.tokens.space[6]),
    8: pxToRem.pxStringToNumber(index.tokens.space[8]),
    9: pxToRem.pxStringToNumber(index.tokens.space[9]),
    10: pxToRem.pxStringToNumber(index.tokens.space[10]),
    12: pxToRem.pxStringToNumber(index.tokens.space[12]),
    14: pxToRem.pxStringToNumber(index.tokens.space[14]),
    16: pxToRem.pxStringToNumber(index.tokens.space[16]),
    18: pxToRem.pxStringToNumber(index.tokens.space[18]),
    24: pxToRem.pxStringToNumber(index.tokens.space[24]),
};
const remSpace = {
    0: `${pxToRem.pxToRem(space[0])}rem`,
    1: `${pxToRem.pxToRem(space[1])}rem`,
    2: `${pxToRem.pxToRem(space[2])}rem`,
    3: `${pxToRem.pxToRem(space[3])}rem`,
    4: `${pxToRem.pxToRem(space[4])}rem`,
    5: `${pxToRem.pxToRem(space[5])}rem`,
    6: `${pxToRem.pxToRem(space[6])}rem`,
    8: `${pxToRem.pxToRem(space[8])}rem`,
    9: `${pxToRem.pxToRem(space[9])}rem`,
    10: `${pxToRem.pxToRem(space[10])}rem`,
    12: `${pxToRem.pxToRem(space[12])}rem`,
    14: `${pxToRem.pxToRem(space[14])}rem`,
    16: `${pxToRem.pxToRem(space[16])}rem`,
    18: `${pxToRem.pxToRem(space[18])}rem`,
    24: `${pxToRem.pxToRem(space[24])}rem`,
};

exports.remSpace = remSpace;
exports.space = space;
//# sourceMappingURL=space.js.map
